/***********************************************************************************************************
 * Copyright (c)  2021 - 2022, Unicmicro Co.,Ltd .
 * All rights reserved.
 * Filename    : system_um2080f32.h
 * Description : system config header file (for example: clock config.....)
 * Author(s)   : yanhaihai
 * Version     : V1.0
 * Modify date : 2021-09-23
 ***********************************************************************************************************/
#ifndef __SYSTEM_UM2080F32_H__
#define __SYSTEM_UM2080F32_H__

#include "config.h"

typedef struct
{
	uint32_t sysclk;
	uint32_t hclk;
	uint32_t pclk;
}s_system_clock_t;

void SystemInit(void);																						/* 系统初始化 */

void system_get_clock(s_system_clock_t *system_clock);														/* 获取系统时钟 */

void system_io_init(void);																					/* 系统所有IO初始状态 */

void system_enter_sleep(void);																				/* 系统进入休眠 */

void system_enter_deepsleep(void);																			/* 系统进入深度休眠 */

void system_enter_stop(void);																				/* 系统进入停止模式 */

void system_reboot(void);

#endif
